# Interface WorkObserverJson

interface WorkObserverJson {
accessible_nodes: number[];
derived_id: string | number;
derived_id_str: string;
floor_index: number;
index: number;
position: number[];
quaternion: { w: number; x: number; y: number; z: number };
standing_position: number[];
visible_nodes: number[];
}

- Defined in lib/five/work/workJsonType.ts:51

##### Index

### Properties

accessible_nodes
derived_id
derived_id_str
floor_index
index
position
quaternion
standing_position
visible_nodes

## Properties

### accessible_nodes

accessible_nodes: number[]

- Defined in lib/five/work/workJsonType.ts:64

### derived_id

derived_id: string | number

- Defined in lib/five/work/workJsonType.ts:56

### derived_id_str

derived_id_str: string

- Defined in lib/five/work/workJsonType.ts:57

### floor_index

floor_index: number

- Defined in lib/five/work/workJsonType.ts:54

### index

index: number

- Defined in lib/five/work/workJsonType.ts:52

### position

position: number[]

- Defined in lib/five/work/workJsonType.ts:59

### quaternion

quaternion: { w: number; x: number; y: number; z: number }

- Defined in lib/five/work/workJsonType.ts:61

### standing_position

standing_position: number[]

- Defined in lib/five/work/workJsonType.ts:60

### visible_nodes

visible_nodes: number[]

- Defined in lib/five/work/workJsonType.ts:63